Skip to main content

Get Platform Config

Required role: read or higher.

Retrieve configuration of the Feldera Platform.

Responses
200

The response body contains basic configuration information about this host.

Schema — OPTIONAL
build_info object

Information about the build of the platform.

build_cpu string

CPU of build machine.

build_os string

OS of build machine.

build_timestamp string

Timestamp of the build.

cargo_debug string

Whether the build is optimized for performance.

cargo_dependencies string

Dependencies used during the build.

cargo_features string

Features enabled during the build.

cargo_opt_level string

Optimization level of the build.

cargo_target_triple string

Target triple of the build.

rustc_version string

Rust version of the build used.

build_source string

Build source: "ci" for GitHub Actions builds, "source" for local builds

changelog_url string

URL that navigates to the changelog of the current version

conceptualhq string

ConceptualHQ analytics key. Empty when disabled.

edition string

Feldera edition: "Open source", "Enterprise" or "EnterpriseDev"

license_validity — OPTIONAL
posthog string

PostHog telemetry key. Empty when disabled.

product_fruits string

Product Fruits workspace code for in-app onboarding. Empty when disabled.

revision string

Specific revision corresponding to the edition version (e.g., git commit hash).

runtime_revision string

Specific revision corresponding to the default runtime version of the platform (e.g., git commit hash).

unstable_features string — OPTIONAL

List of unstable features that are enabled.

update_info object — OPTIONAL
instructions_url string

URL that navigates the user to instructions on how to update their deployment's version

is_latest_version boolean

Whether the current version matches the latest version

latest_version string

Latest version corresponding to the edition

remind_schedule
version string

The version corresponding to the type of edition. Format is x.y.z.

500

Request failed.

Schema — OPTIONAL
details

Detailed error metadata. The contents of this field is determined by error_code.

error_code string

Error code is a string that specifies this error type.

message string

Human-readable error message.